API reference
Account
GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
kind*stringversion*numberexportedAt*stringuser*signIns*array<>aiAccounts*array<>|nullvariables*array<>github*billing*waitlist*array<>deletion*curl -X GET 'https://api.keko.run/v1/account/export'Example Response
{ "kind": "keko.account-export", "version": 1, "exportedAt": "string", "user": { "id": "string", "name": "string", "email": "string", "image": "string", "createdAt": "string" }, "signIns": [ { "provider": "string", "accountId": "string", "createdAt": "string" } ], "aiAccounts": [ { "id": "string", "kind": "string", "label": "string" } ], "variables": [ { "project": "string", "scope": "string", "name": "string", "thread": "string", "updatedAt": 0 } ], "github": { "installations": [ { "id": 0, "accountLogin": "string", "accountType": "string", "repositorySelection": "string", "suspended": true } ] }, "billing": { "plan": "string", "subscriptionStatus": "string", "renewsAt": "string", "hasStripeCustomer": true, "usage": [ { "period": "string", "seconds": 0, "overageSeconds": 0 } ] }, "waitlist": [ { "email": "string", "source": "string", "joinedAt": "string" } ], "deletion": { "deletion": { "requestedAt": "string", "deleteAt": "string", "state": "scheduled" }, "cancelledAt": "string", "graceDays": 0 }}GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
deletion*|nullcancelledAt*string|nullgraceDays*integerRange
0 <= value <= 9007199254740991curl -X GET 'https://api.keko.run/v1/account/deletion'Example Response
{ "deletion": { "requestedAt": "string", "deleteAt": "string", "state": "scheduled" }, "cancelledAt": "string", "graceDays": 0}POST
bearerheader
AuthorizationBearer <token>application/json- body
confirm*stringLength
1 <= length <= 320OK
application/json- response
deletion*|nullcancelledAt*string|nullgraceDays*integerRange
0 <= value <= 9007199254740991curl -X POST 'https://api.keko.run/v1/account/deletion' \ -H 'Content-Type: application/json' \ -d '{ "confirm": "string"}'Example Response
{ "deletion": { "requestedAt": "string", "deleteAt": "string", "state": "scheduled" }, "cancelledAt": "string", "graceDays": 0}DELETE
bearerheader
AuthorizationBearer <token>OK
application/json- response
deletion*|nullcancelledAt*string|nullgraceDays*integerRange
0 <= value <= 9007199254740991curl -X DELETE 'https://api.keko.run/v1/account/deletion'Example Response
{ "deletion": { "requestedAt": "string", "deleteAt": "string", "state": "scheduled" }, "cancelledAt": "string", "graceDays": 0}